$ dotnet add package Magick.NET-Q16-AnyCPU
using var img = new MagickImage("v4b.5000");
img.ColorType = ColorType.Grayscale;
img.Write("gray.ps");

https://github.com/shimat/opencvsharp
https://www.cnblogs.com/mingupupu/p/18153025
gray = 0.299R + 0.587G + 0.114B
